> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Content

> Parse any HTML or text into our multi-channel messaging schema



## OpenAPI

````yaml post /generate_content
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /generate_content:
    post:
      tags:
        - Generate Content
      summary: Generate Content
      description: Parse any HTML or text into our multi-channel messaging schema
      operationId: postIndex1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    html:
                      type: string
                      description: The HTML to be converted
                  required:
                    - html
                - type: object
                  properties:
                    text:
                      type: string
                      description: The text to be converted
                    formatter:
                      description: The formatter to use for the text conversion
                      type: string
                      enum:
                        - email
                        - sms
                        - whatsapp
                        - instagram
                        - facebook
                        - google_business_messaging
                  required:
                    - text
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  content:
                    type: object
                    description: The generated content
                required:
                  - content
          description: Decoded JWT payload
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  hint:
                    type: string
                  statusCode:
                    type: number
                required:
                  - code
                  - message
                  - statusCode
          description: Invalid input provided
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````